Description

Starting about 2 weeks ago, maybe a bit more, | started seeing BJ Quest not be aware when a named mob dies. I'll look over, the
group is standing there. | check the quest status, and it's waiting for "killed NamedMob".. | can scroll back on each player, and see
the death message, so | know it's there. It gets very messy when you have multiple named mobs on a single "Set up for" and it
doesn't realize the last one died..

| don't know how to help debug this, only that it happened on about 25-30% of zones | ran today.

I've checked this across (3) different machines, all patched to current versions of Ogre/BJ.

History

#1 - 2015-04-24 04:07 PM - blammo

to clarify. It's not ALL named, or ALL the time.. Just enough to be irritating. :)

#2 - 2015-04-24 04:10 PM - blammo

It's the easiest to see on Zath "The Hunt" - where the same "Set up For" carries you all the way to the end.. I'd say >90% of the time now, it won't
move over to kill Sharptooth/Maw, because it doesn't realize the previous named died.

#3 - 2015-04-24 08:49 PM - bjcasey
- Status changed from New to Feedback Required

This is not a bug with Quest Bot, but a misunderstanding on how wait for chat text is intended to work.

Wait for Chat Text was designed for ring events where QB needed to wait an undetermined amount of time before moving on. QB will not process
quest steps while it is in combat (excluding navigation if ignore combat is enabled). This means that if you engage a mob before QB starts to process
the Wait For Chat Text step, it will wait for combat to complete before going to that step. The problem with this is that you have already killed the mob
it was looking for so it doesn't trigger.

For non-ring event named waits, | suggest that you use a medium length timed wait followed by a wait while in combat.

#4 - 2015-04-26 12:19 PM - blammo

ok, so that explanation makes sense, but how do we translate that into a fix? In the case of Zath:The Hunt, the only scripted parts that someone can
change is the movement. The entire fight sequence is under the umbrella of "Set up for" which we can't change.

#5 - 2015-04-26 12:21 PM - blammo

To your original point, however, | was just running Heroic: Brokenskull Bay - Bilgewater, and the quest step #29, which is a "For Chat Text" is where
the script is currently hung. The fights over, she's dead, but the script is hung.

What's the right way to fix this? Wait till combat is over, then move on? How do you know you started fighting her?

#6 - 2015-04-26 12:22 PM - blammo

Maybe "For Chat Text" should have a timeout value? 180 seconds or something if the text doesn't show?
#7 - 2015-07-05 07:04 PM - bjcasey

- Status changed from Feedback Required to Resolved

Update your local file with a Timed Wait followed by a While In Combat Wait. I'll fix them when | integrate them into QuestBot.
